Subject: Re: [patch] e1000=y && e1000e=m regression fix

From: Ondrej Zary <[email-masked]>
Date: Sun, 13 Apr 2008 23:34:14 +0200

On Sunday 13 April 2008 23:13:01 Linus Torvalds wrote:
> On Fri, 11 Apr 2008, Jeff Garzik wrote:
> > Linus Torvalds wrote:
> > > .. but that said, I think your patch is certainly better than what we
> > > have now (or what Ingo was complaining about for the next merge
> > > window). I certainly could live with it. I would just suggest against
> > > ever then removing that "generic E1000" choice.
> >
> > You mean never ever remove PCI-E support from e1000?
>
> No. I mean never ever remove the *configure* level thinking that "e1000 is
> e1000".
>
> There is no sense in *ever* showing it as two drivers to users, because
> users do not see them as separate chipsets. They look identical, down to
> the part names.
>
> If it's a single family, and users can't even easily tell whether they
> have version 1 or version 2 (PCI vs PCI-E), you shouldn't even ask them.
> You should literally ask them: "do you want e1000 support".

It's something like RTL8139. There are two versions of the chips. They even 
have the same PCI IDs. But there are two different drivers - 8139cp and 
8139too. It's really bad for users

>
> That's it.
>
> Once you have asked them that, you can then decide "ok, if you *really*
> know what version of the chip you have, you can decide to only get limited
> driver support".
>
> But that's a secondary thing from a user perspective.
>
> See the patch I already sent out.
>
> 			Linus
> --
> To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
> Please read the FAQ at  http://www.tux.org/lkml/

-- 
Ondrej Zary